
@charset "UTF-8";


$workflow-label-name-font: 300 14px Lato, sans-serif;
$workflow-label-type-font: bold 12px Lato, sans-serif;

$sidebar-width: 310px;
$right-sidebar-width: 800px;
$transition-time: 0.4s;


$media-tablet: "(max-width: 640px)";
$help-font: 400 0.9rem "Lato", sans-serif;


.save {
  z-index: 99;
  position: absolute;

  &:after {
    background-color: white;
    background-image: url('../images/save.svg');
    background-size: 30px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    content: '';
    display: block;
    width:   50px;
    height:  50px;
    border-radius: 50px;
    border: 5px solid #C4EAC5;
    position: absolute;
    top: 10px;
    left: 100px;
    cursor: pointer;
    filter: grayscale(1.0);
    -webkit-filter: grayscale(1.0);
  }
  &:hover {
    background-color: #ddd;
    opacity: 0.5;
  }
  &:hover {
    &:after {
      filter: none;
      -webkit-filter: none;
    }
    &:before {
      filter: none;
      -webkit-filter: none;
    }
  }
}

/* The collapsing arrow */
div.collapse {
  width: 10px;
  position: absolute;
  left: $sidebar-width;
  height: 100%;
  z-index: 999999;
  cursor: w-resize;

  transition: left $transition-time, right $transition-time;

  // Highlight the collapse region when the mouse hovers
  &:hover {
    background-color: #ddd;
    opacity: 0.5;
  }

  // When the collapse is closed, show a little bit of a box so people
  // know what they can click to reveal the sidebar and mimic the shadow of
  // the sidebar.
  &.reveal {
    border-right: 1px solid #ddd;
    box-shadow: 2px 0px 20px 1px #ddd;
    left: 0px;

    transition: left $transition-time, right $transition-time;

    cursor: e-resize;

    &:after {
      background-color: white;
      background-image: url('../images/object-add.svg');
      background-size: 30px;
      background-position: 50% 50%;
      background-repeat: no-repeat;
      content: '';
      display: block;
      width:   50px;
      height:  50px;
      border-radius: 50px;
      border: 5px solid #C4EAC5;
      position: absolute;
      top: 10px;
      left: 30px;
      filter: grayscale(1.0);
      -webkit-filter: grayscale(1.0);
    }

    &:before {
      content: '';
      display: block;
      position: absolute;
      width: 0;
      height: 0;
      border-top:    18px solid transparent;
      border-bottom: 18px solid transparent;
      border-right:  17px solid #C4EAC5;
      top: 22px;
      left: 19px;
      filter: grayscale(1.0);
      -webkit-filter: grayscale(1.0);
    }

    &:hover {
      &:after {
        filter: none;
        -webkit-filter: none;
      }
      &:before {
        filter: none;
        -webkit-filter: none;
      }
    }
  }
}

/* Closed sidebar */
div.collapse.reveal + .sidebar {
    width: 0px;
  }


/* The sidebar region for the workflow editor */
div.sidebar {
  text-align: left;
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: $sidebar-width;
  background-color: #fff;
  box-shadow: 2px 0px 20px 1px #ddd;
  z-index: 99999;
  overflow-y: hidden;
  overflow-x: hidden;

  transition: width $transition-time;

  h3 {
    margin-top: 15px;
  }

  .component-selection {
    height: 100%;
    padding: 0.75rem;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;

    .selector {
      margin: 0;
      margin-top: 20px;
    }

    > ul.object-list {
      margin-left: 15px;
      width: 276px;
    }

    > h2 {
      text-align: center;
      white-space: nowrap;
    }

    > h2, li.tab-panel {
      h2 {
        padding-left: 0;
      }

      &:not(:first-child) {
        margin-top: 20px;
      }
    }
  }

  .component-selected {
    height: 130px;

    &.disabled {
      pointer-events: none;
    }

    li.connection {
      position: relative;
      left: calc(50% - 53px);
      top:  25px;

      > span.component {
        display: inline-block;
        font: $workflow-label-name-font;
        width: 80px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        line-height: 1em;
        margin: 0 auto;

        &:empty {
          display: none;
        }
      }

      > span.element {
        line-height: 1em;
        display: inline-block;
        font: $workflow-label-type-font;
        width: 80px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        margin: 0 auto;

        &:empty {
          display: none;
        }
      }



      li.input, li.output {
        max-width: 95px;
        min-width: 95px;

        .label {
          display: block !important;
        }

        &:after ,
        &:before {
          display: none;
        }
      }
    }
  }

}
